Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.upload
Class MultipartParser

    java.lang.Object
      com.ejie.r01f.servlet.upload.MultipartParser

public class MultipartParser
extends java.lang.Object

Clase que parsea las partes (parts) de una petición multi-part desde un navegador

Constructor Summary
`MultipartParser(javax.servlet.http.HttpServletRequest req, int maxSize)` Constructor
`MultipartParser(javax.servlet.http.HttpServletRequest req, int maxSize, boolean buffer, boolean limitLength)` Constructor
`MultipartParser(javax.servlet.http.HttpServletRequest req, int maxSize, boolean buffer, boolean limitLength, java.lang.String newEncoding)` Constructor

Method Summary
`Part` | `readNextPart()` Lee la siguiente parte de la request
`void` | `setEncoding(java.lang.String theEnconding)` Establece la codificación a utilizar

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartParser

    public MultipartParser(javax.servlet.http.HttpServletRequest req,
                           int maxSize)
                    throws java.io.IOException

  Constructor

### MultipartParser

    public MultipartParser(javax.servlet.http.HttpServletRequest req,
                           int maxSize,
                           boolean buffer,
                           boolean limitLength)
                    throws java.io.IOException

  Constructor

### MultipartParser

    public MultipartParser(javax.servlet.http.HttpServletRequest req,
                           int maxSize,
                           boolean buffer,
                           boolean limitLength,
                           java.lang.String newEncoding)
                    throws java.io.IOException

  Constructor

Method Detail

### setEncoding

    public void setEncoding(java.lang.String theEnconding)

  Establece la codificación a utilizar

### readNextPart

    public Part readNextPart()
                      throws java.io.IOException

  Lee la siguiente parte de la request

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD